export declare enum LogLevel {
    TRACE = 100,
    DEBUG = 200,
    INFO = 300,
    WARNING = 400,
    ERROR = 500,
    CRITICAL = 600,
    AUDIT = 999,
    AUDIT_ALERT = 999,
    SUPPRESS = 1000
}
type LoggerOptions = {
    level: LogLevel;
    prefix: string;
    timestamp: boolean;
};
/**
 * Returns a new logger instance given the options provided.
 * @param {LoggerOptions} options
 */
export declare function getLogger(options?: Partial<LoggerOptions>): {
    trace: (message: string, attachment?: object) => void;
    debug: (message: string, attachment?: object) => void;
    info: (message: string, attachment?: object) => void;
    warning: (message: string, attachment?: object) => void;
    error: (message: string, attachment?: object) => void;
    critical: (message: string, attachment?: object) => void;
    audit: (message: string, attachment?: object) => void;
    auditAlert: (message: string, attachment?: object) => void;
    getSettings: () => LoggerOptions;
};
export {};
